RemoveResourceForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.RemoveResourceForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource
Class RemoveResourceForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.RemoveResourceForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AutoDiscoveryResultsForm, RemoveAppServicesForm, RemoveServersForm

    public class RemoveResourceForm

extends ResourceForm

removes a list of resources

See Also:
  Serialized Form

Field Summary
`protected java.lang.Integer` | `resourceType`
`protected java.util.List` | `resourceTypes`

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RemoveResourceForm()`

Method Summary
`java.lang.Integer` | `getF()`
`java.lang.Integer` | `getPss()`
`java.lang.Integer[]` | `getR()`
`java.lang.Integer[]` | `getResources()` Getter for property users.
`java.lang.Integer` | `getResourceType()` Returns the resourceType.
`java.util.List` | `getResourceTypes()` Returns the resourceTypes.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setF(java.lang.Integer f)`
`void` | `setPss(java.lang.Integer pageSize)`
`void` | `setR(java.lang.Integer[] r)`
`void` | `setResources(java.lang.Integer[] resources)` Setter for property users.
`void` | `setResourceType(java.lang.Integer resourceType)` Sets the resourceType.
`void` | `setResourceTypes(java.util.List resourceTypes)` Sets the resourceTypes.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resourceType

    protected java.lang.Integer resourceType

### resourceTypes

    protected java.util.List resourceTypes

Constructor Detail

### RemoveResourceForm

    public RemoveResourceForm()

Method Detail

### getF

    public java.lang.Integer getF()

### setF

    public void setF(java.lang.Integer f)

### getR

    public java.lang.Integer[] getR()

### setR

    public void setR(java.lang.Integer[] r)

### getResources

    public java.lang.Integer[] getResources()

  Getter for property users.

  Returns:
    Value of property users.

### setResources

    public void setResources(java.lang.Integer[] resources)

  Setter for property users.

  Parameters:
    `users` - New value of property users.

### getResourceType

    public java.lang.Integer getResourceType()

  Returns the resourceType.

  Overrides:
    `getResourceType` in class `ResourceForm`
  Returns:
    Integer

### setResourceType

    public void setResourceType(java.lang.Integer resourceType)

  Sets the resourceType.

  Overrides:
    `setResourceType` in class `ResourceForm`
  Parameters:
    `resourceType` - The resourceType to set

### getResourceTypes

    public java.util.List getResourceTypes()

  Returns the resourceTypes.

  Overrides:
    `getResourceTypes` in class `ResourceForm`
  Returns:
    List

### setResourceTypes

    public void setResourceTypes(java.util.List resourceTypes)

  Sets the resourceTypes.

  Overrides:
    `setResourceTypes` in class `ResourceForm`
  Parameters:
    `resourceTypes` - The resourceTypes to set

### getPss

    public java.lang.Integer getPss()

### setPss

    public void setPss(java.lang.Integer pageSize)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.